<script>
import img from "../../assets/images/setting/setting_car2.webp";
import img2 from "../../assets/images/setting/mirror/img.webp";
import img3 from "../../assets/images/setting/mirror/img_1.webp";
import img4 from "../../assets/images/setting/mirror/img_2.webp";
import img5 from "../../assets/images/setting/mirror/img_3.webp";

export default {
  name: "Mirror",
  props: {
    type: {
      type: String | Number,
      default: 1,
    },
  },
  data() {
    return {
      fold: true,
      wipers: true,
      img,
      img2,
      img3,
      img4,
      img5,
      dataImg: null,
    };
  },
  mounted() {
    this.dataImg = this.img;
    if (this.type == 1) {
      this.dataImg = this.img2;
    } else if(this.type == 2){ 
      this.dataImg = this.img4;
    }
  
  },
  methods: {
    foldClick() {
      this.dataImg = this.img2;
    },
    wipersClick() {
      this.dataImg = this.img4;
    },
  },
};
</script>

<template>
  <div class="custom-body">
    <div class="card-body">
      <u-card
        v-if="type === 1"
        shadow
        left-text="自动折叠"
        @onClick="foldClick"
      >
        <template #right>
          <u-switch v-model="fold" :value="fold" />
        </template>
      </u-card>

      <u-card
        v-if="type === 2"
        shadow
        left-text="自动雨刷"
        @onClick="wipersClick"
      >
        <template #right>
          <u-switch v-model="wipers" :value="wipers" />
        </template>
      </u-card>
    </div>

    <img
      v-if="fold && dataImg === img2"
      class="img-1"
      src="../../assets/images/setting/mirror/img_1.webp"
      alt=""
    />
    <img
      v-if="wipers && dataImg === img4"
      class="img-1"
      src="../../assets/images/setting/mirror/img_3.webp"
      alt=""
    />

    <img :src="dataImg" alt="" class="img-signal" />
  </div>
</template>

<style scoped lang="scss">
.img-1 {
  position: absolute;
  right: 98px;
  top: 288px;
  width: 60.24px;
  height: 45.63px;
  z-index: 1;
}

.custom-body {
  display: flex;
  width: 694px;

  .card-body {
    flex-grow: 1;
    background: #ffffff;
    border-radius: 21px;
  }
}

.img-signal {
  width: 835px;
  height: auto;
  position: absolute;
  right: 60px;
  top: 270px;
}
</style>
